## org.hibernate.sql.ordering.antlr
Interface ColumnMapper

All Known Implementing Classes:
  Template.NoOpColumnMapper

    public interface ColumnMapper

Contract for mapping a (an assumed) property reference to its columns.

Author:
  Steve Ebersole

Method Summary
`String[]` `map(String reference)` Resolve the property reference to its underlying columns.

Method Detail

### map

    String[] map(String reference)
                 throws HibernateException

  Resolve the property reference to its underlying columns.

  Parameters:
    `reference` - The property reference name.
  Returns:
    The underlying columns, or null if the property reference is unknown.
  Throws:
    `HibernateException` - Generally indicates that the property reference is unkown; interpretation is the same as a null return.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.